<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GeoZoneResult StructType
 * @subpackage Structs
 */
class GeoZoneResult extends GeoZone
{
    /**
     * The GeoZoneID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $GeoZoneID;
    /**
     * Constructor method for GeoZoneResult
     * @uses GeoZoneResult::setGeoZoneID()
     * @param int $geoZoneID
     */
    public function __construct($geoZoneID = null)
    {
        $this
            ->setGeoZoneID($geoZoneID);
    }
    /**
     * Get GeoZoneID value
     * @return int
     */
    public function getGeoZoneID()
    {
        return $this->GeoZoneID;
    }
    /**
     * Set GeoZoneID value
     * @param int $geoZoneID
     * @return \StructType\GeoZoneResult
     */
    public function setGeoZoneID($geoZoneID = null)
    {
        // validation for constraint: int
        if (!is_null($geoZoneID) && !(is_int($geoZoneID) || ctype_digit($geoZoneID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($geoZoneID, true), gettype($geoZoneID)), __LINE__);
        }
        $this->GeoZoneID = $geoZoneID;
        return $this;
    }
}
